<?php
include('header.php');

// Check if the variables are set
if (isset($_REQUEST['type'], $_REQUEST['phone'], $_REQUEST['user_id'])) {
    
    // Sanitize and validate the 'type' parameter
    $type = filter_var($_REQUEST['type'], FILTER_SANITIZE_STRING);
    $valid_types = ['master_agent', 'super_agent', 'sub_admin', 'site_admin']; // Adjust based on your valid types
    if (!in_array($type, $valid_types)) {
        die('Invalid type specified.');
    }

    // Sanitize and validate the 'phone' parameter
    $phone = filter_var($_REQUEST['phone'], FILTER_SANITIZE_STRING);
    
    // Sanitize and validate the 'user_id' parameter
    $user_id = filter_var($_REQUEST['user_id'], FILTER_SANITIZE_NUMBER_INT);
    
   
} else {
    die('Required parameters are missing.');
}

?>
<?php global $con; $sql = "SELECT * FROM agent WHERE type = '$type' AND (phone='$phone' OR user_id='$user_id')"; $result=mysqli_query($con,$sql); ?>


  <div class="container position-relative">
    <div class="tab-content" id="myTabContent">
      

<div class="tab-pane fade show active" id="admin" role="tabpanel" aria-labelledby="admin-tab">
  <h4 class="mt-3 agent-table-heading">Site Owner</h4>
  <div class="row justify-content-center table-box">
    <table class="agents-table">
      <thead>
        <tr>
          <th>Name</th>
          <th>ID</th>
          <th>Rating</th>
          <th>App Link</th>
          <th>Phone Number</th>
          <th>View</th>
          <th>Report</th>
        </tr>
      </thead>
      <tbody>
        
<?php while ($row=mysqli_fetch_assoc($result)) { ?>
        <tr>
    <td>
      <div class="d-flex justify-content-start">
        <div class="agent d-flex align-items-center gap-2">
          <i class="fa-solid fa-circle-user"></i>
          <p>
            <?php echo($row['name']); ?> <br>
            <span>Site Owner</span>
          </p>
        </div>

      </div>
      
    </td>

    <td>
      <div class="d-flex justify-content-center">
        <div class="agent-id d-flex flex-column align-items-center justify-content-center">
          <p>
            ID
          </p>
          <p>
           <?php echo($row['user_id']); ?>
          </p>
        </div>

      </div>
      
    </td>

    <td>
      <div class="d-flex justify-content-center stars-box">
        

        
          
          <i class="fa-solid fa-star"></i>
          
          <i class="fa-solid fa-star"></i>
          
          <i class="fa-solid fa-star"></i>
          
          <i class="fa-solid fa-star"></i>
          
          <i class="fa-solid fa-star"></i>
          
        
        
     

      </div>
      
    </td>


    <td>
      <div class="d-flex justify-content-center">
        <a class="app-links" href="<?php echo($row['social_app_link3']); ?>" target="_blank">
          
          <i class="fa-brands fa-whatsapp"></i>
          
        </a>   
      </div>
      
    </td>

    <td>
      <div class="d-flex justify-content-center">
        <div class="number-box d-flex align-items-start flex-column">
          <p><?php echo($row['phone']); ?></p>
          <span class="my-badge">Whatsapp</span>
        </div>

      </div>
     
    </td>

    <td>
      <div class="d-flex justify-content-center">
        <i class="fa-solid fa-eye" role="button" data-bs-toggle="modal" data-bs-target="#AgentInfo"
        data-name="<?php echo($row['name']); ?>" data-type="Site Owner" data-number="<?php echo($row['phone']); ?>" data-id="<?php echo($row['user_id']); ?>"
        data-wt="<?php echo($row['social_app_link3']); ?>"  data-rating="5">
        


        </i>
      </div>
      
    </td>

    <td>
      <div class="d-flex justify-content-center">
        <button class="tiny-buttons agent-report-button" disabled>Report</button>
      </div>
      
    </td>
  </tr>
        
<?php } ?>   
        
      </tbody>
    </table>

  </div>



</div>



    </div>



    <div class="floating-button">
      <button data-bs-toggle="modal" data-bs-target="#SupportModal" class="my-buttons fw-bold"><img src="static/icons/care.svg" alt="care"> Support</button>
    </div>

  </div>


  

  


  

<div class="modal fade" id="AgentInfo" tabindex="-1" aria-labelledby="Agent Details" aria-hidden="true">
  <div class="modal-dialog modal-dialog-centered">
    <div class="modal-content">

      <div class="modal-header position-relative">
        <div class="modal-icon">
          <img src="static/icons/people-large.svg" alt="admin" class="icon-large">
        </div>

        <button type="button" class="btn-close btn-close-white" data-bs-dismiss="modal" aria-label="Close"></button>
      </div>
      <div class="modal-body row position-relative">
        <div class="col-md-6">
          <div class="d-flex d-flex flex-column">
            <p class="fake-label">Name</p>
            <p class="fake-input detail-name">

            </p>
          </div>
        </div>

        <div class="col-md-6">
          <div class="d-flex d-flex flex-column">
            <p class="fake-label">Type</p>
            <p class="fake-input detail-type">

            </p>
          </div>
        </div>

        <div class="col-md-6">
          <div class="d-flex d-flex flex-column">
            <p class="fake-label">Number</p>
            <p class="fake-input detail-number">
            </p>
          </div>
        </div>

        <div class="col-md-6">
          <div class="d-flex d-flex flex-column">
            <p class="fake-label">Id Number</p>
            <p class="fake-input detail-id"></p>
          </div>
        </div>

        <div class="col-md-6">
          <div class="d-flex d-flex flex-column">
            <p class="fake-label">Message</p>
            <div class="d-flex flex-row">
              <a class="modal-links detail-wa" href="#"> <i class="fa-brands fa-whatsapp"></i> Whatsapp</a>
              <a class="modal-links detail-tel d-none" href="#"> <i class="fa-brands fa-telegram"></i> Telegram</a>
            </div>
          </div>
        </div>

        <div class="col-md-6">
          <div class="d-flex d-flex flex-column">
            <p class="fake-label">Rating</p>
            <p class="fake-input detail-rating d-flex justify-content-center flex-row"></p>
          </div>
        </div>
        <div class="col-md-8 mt-2">
          <div class="d-flex flex-row detail-subs">
          </div>
        </div>
        <button id="ModalReportButton" class="tiny-buttons red modal-report">Report</button>
      </div>
    </div>
  </div>
</div>





<div class="modal fade" id="AgentReport" tabindex="-1" aria-labelledby="Report Agent" aria-hidden="true">
  <div class="modal-dialog modal-dialog-centered">
    <div class="modal-content">
      <div class="modal-header position-relative">
        <div class="modal-icon">
          <img src="static/icons/people-large.svg" alt="admin" class="icon-large">
        </div>
        <button class="tiny-buttons red modal-report-heading">Report This Person</button>
        <button type="button" class="btn-close btn-close-white" data-bs-dismiss="modal" aria-label="Close"></button>
      </div>
      <div class="modal-body row position-relative">
        <div class="col-md-6">
          <div class="d-flex d-flex flex-column">
            <p class="fake-label">Name</p>
            <p class="fake-input detail-name"></p>
          </div>
        </div>

        <div class="col-md-6">
          <div class="d-flex d-flex flex-column">
            <p class="fake-label">Type</p>
            <p class="fake-input detail-type"></p>
          </div>
        </div>

        <div class="col-md-6">
          <div class="d-flex d-flex flex-column">
            <p class="fake-label">Number</p>
            <p class="fake-input detail-number"></p>
          </div>
        </div>

        <div class="col-md-6">
          <div class="d-flex d-flex flex-column">
            <p class="fake-label">Id Number</p>
            <p class="fake-input detail-id"></p>
          </div>
        </div>
        <div class="col-md-12 d-flex flex-row justify-content-center" id="ReportTo"></div>
      </div>
    </div>
  </div>
</div>



<div class="modal fade" id="SupportModal" tabindex="-1" aria-labelledby="SupportModal" aria-hidden="true">
  <div class="modal-dialog modal-dialog-centered">
    <div class="modal-content">
      <div class="modal-header position-relative">
        <button class="my-buttons fw-bold"><img src="static/icons/care.svg" alt="care"> Support</button>
        
        <button type="button" class="btn-close btn-close-white" data-bs-dismiss="modal" aria-label="Close"></button>
      </div>
      <div class="modal-body cs-agents-box">
        
        
      </div>
    </div>
  </div>
</div>
<?php 
include('footer.php');
 ?>